DataFlowDebugPackage Class

Request body structure for starting data flow debug session.

Inheritance
DataFlowDebugPackage

Constructor

DataFlowDebugPackage(*, additional_properties: Optional[Dict[str, object]] = None, session_id: Optional[str] = None, data_flow: Optional[azure.synapse.artifacts.models._models_py3.DataFlowDebugResource] = None, datasets: Optional[List[azure.synapse.artifacts.models._models_py3.DatasetDebugResource]] = None, linked_services: Optional[List[azure.synapse.artifacts.models._models_py3.LinkedServiceDebugResource]] = None, staging: Optional[azure.synapse.artifacts.models._models_py3.DataFlowStagingInfo] = None, debug_settings: Optional[azure.synapse.artifacts.models._models_py3.DataFlowDebugPackageDebugSettings] = None, **kwargs)

Parameters

additional_properties
dict[str, object]
Required

Unmatched properties from the message are deserialized to this collection.

session_id
str
Required

The ID of data flow debug session.

data_flow
DataFlowDebugResource
Required

Data flow instance.

datasets
list[DatasetDebugResource]
Required

List of datasets.

linked_services
list[LinkedServiceDebugResource]
Required

List of linked services.

staging
DataFlowStagingInfo
Required

Staging info for debug session.

debug_settings
DataFlowDebugPackageDebugSettings
Required

Data flow debug settings.